#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		sname		libsigc++
%define		apivers		2.0

#-----------------------------------------------------------------------------
Name		:	libsigc++20
Version		:	2.12.1
Release		:	17.2.0.rel%{?dist}
Summary		:	The Typesafe Callback Framework for C++
Group		:	System Environment/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2+
URL		:	https://github.com/libsigcplusplus/libsigcplusplus

Source0		:	%{sname}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	libxslt
BuildRequires	:	m4
BuildRequires	:	meson
BuildRequires	:	perl

#-----------------------------------------------------------------------------
%description
'%{name}' implements a typesafe callback system for standard C++.
It allows you to define signals and to connect those signals to any
callback function, either global or a member function, regardless of
whether it is static or virtual.

'%{name}' is used by gtkmm to wrap the GTK+ signal system. It does not
depend on GTK+ or gtkmm.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc COPYING README.md NEWS
%{_libdir}/libsigc-%{apivers}.so.0*
#no documentation by purpose

#=============================================================================
%package		devel

Summary		:	Development tools for the typesafe signal framework for C++

#-----------------------------------------------------------------------------
Requires	:       %{name} = %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
The %{name}-devel package contains the static libraries and
header files needed for development with %{name}.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root, -)
%{_includedir}/sigc++-%{apivers}/sigc++/*.h
%{_includedir}/sigc++-%{apivers}/sigc++/adaptors/*.h
%{_includedir}/sigc++-%{apivers}/sigc++/adaptors/lambda/*.h
%{_includedir}/sigc++-%{apivers}/sigc++/functors/*.h
%{_libdir}/libsigc-%{apivers}.so
%{_libdir}/sigc++-%{apivers}/include/sigc++config.h
%{_libdir}/pkgconfig/sigc++-%{apivers}.pc

#=============================================================================
%prep
%setup -q -n %{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build
meson							\
	setup						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
	--libexecdir=%{_libexecdir}/%{sname}		\
        --sysconfdir=%{_sysconfdir}/%{sname}		\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--localstatedir=%{_var}				\
	-D build-documentation=false			\
	-D benchmark=true				\
	.						\
	_bld

meson							\
	compile						\
	-C _bld

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
%check
meson							\
	test						\
	-C _bld

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

meson							\
	install						\
		-C _bld					\
		--destdir=%{buildroot}			\

#-----------------------------------------------------------------------------
%changelog
